Groovy 1.7.10

## org.codehaus.groovy.transform
[Java] Class PackageScopeASTTransformation

    java.lang.Object
      org.codehaus.groovy.transform.PackageScopeASTTransformation

All Implemented Interfaces:
  ASTTransformation, org.objectweb.asm.Opcodes

    @GroovyASTTransformation(phase = CompilePhase.CANONICALIZATION)
    public class PackageScopeASTTransformation
    extends Object

Handles transformation for the

PackageScope:
  annotation. This is experimental, use at your own risk.

Authors:
  Paul King

Method Summary
`void` | `visit(ASTNode[] nodes, SourceUnit source)`

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Method Detail

### visit

    public void visit(ASTNode[] nodes, SourceUnit source)

Copyright © 2003-2010 The Codehaus. All rights reserved.